<?php

/**
Custom Page by Borobole
**/

// ####################### SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// #################### DEFINE IMPORTANT CONSTANTS #######################
define('THIS_SCRIPT', 'custompage');
define('CSRF_PROTECTION', true);

// ################### PRE-CACHE TEMPLATES AND DATA ######################
// get special phrase groups
$phrasegroups = array();

// get special data templates from the datastore
$specialtemplates = array();

// pre-cache templates used by all actions
$globaltemplates = array(
	'custompage',
);

// pre-cache templates used by specific actions
$actiontemplates = array();

// ######################### REQUIRE BACK-END ############################
require_once('./global.php');

// #######################################################################
// ######################## START MAIN SCRIPT ############################
// #######################################################################

if ($vbulletin->options['ctab_enable'])
{
$noaccessgids = explode(",", $vbulletin->options['limit_groups']);
if (is_member_of($vbulletin->userinfo, $noaccessgids))
{
print_no_permission();
}else{
$content = $vbulletin->options['content'];
}

$pagetitle = $vbulletin->options['custom_title'];

$navbits = array();
$navbits[$parent] = $vbphrase['custom_message_title'];
$navbits = construct_navbits($navbits);
$navbar = render_navbar_template($navbits);

$templater = vB_Template::create('custompage');
	$templater->register_page_templates();
	$templater->register('content', $content);
	$templater->register('navbar', $navbar);
print_output($templater->render());
}
?>